:PROPERTIES:
:ID: ba39d41d-367b-4a7c-8a68-ac2a7a13c607
:CREATED: [2009-05-16 Sat 12:48]
:MODIFIED: [2014-12-10 Wed 16:06]
:IMPORTED: [2023-02-08 Wed 19:22]
:END:
#+title: Do you suffer from long-term memory loss?
#+filetags: quotes


" 'Do you suffer from long-term memory loss?'

'I don't remember' "

- From "Amnesia" by Chumbawamba

Consciousness That annoying time between naps.

We are born naked, wet, and hungry....Then things get worse.

Eat Well, Stay Fit, Die Anyway
